Subject: Re: [PATCH v3 0/8] Better heuristics make prettier diffs

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Sep 2016 11:11:21 -0700

Michael Haggerty <[email-masked]> writes:

> * In "blame: honor the diff heuristic options and config":
>
>   * In v2, I suggested making `blame` honor all diff-related options.
>     Junio explained why this was a bad idea. So this version only
>     makes `blame` honor `--indent-heuristic` and
>     `--compaction-heuristic`.

This makes a lot more sense to me.  I am not sure if it is worth
adding 7/8 to expose these experimental knobs to the end users, but
the amount of the code needed is very small, so let's take it.

I am hoping that we can lose both of the experimental knobs and use
the indent heuristic unconditionally in the future, though ;-)

Thanks.